docs/evaluations/workflow-evaluations/api-reference.mdx
Workflow Evaluations focus on evaluating complex workflows that might include multiple TensorZero inference calls, arbitrary application logic, and more.
You can initialize and run workflow evaluations using the TensorZero Gateway, either through the TensorZero client or the gateway's HTTP API. Unlike inference evaluations, workflow evaluations are not defined in the TensorZero configuration file.
See the Workflow Evaluations Tutorial for a step-by-step guide.
POST /workflow_evaluation_runworkflow_evaluation_runvariants: an object (dictionary) mapping function names to variant namesproject_name (string, optional): the name of the project to associate the run withdisplay_name (string, optional): the display (human-readable) name of the runtags (dictionary, optional): a dictionary of key-value pairs to tag the run's inferences withrun_id (UUID): the ID of the runPOST /workflow_evaluation_run/{run_id}/episodeworkflow_evaluation_run_episoderun_id (UUID): the ID of the run generated by the workflow_evaluation_run methodtask_name (string, optional): the name of the task to associate the episode withtags (dictionary, optional): a dictionary of key-value pairs to tag the episode's inferences withepisode_id (UUID): the ID of the episodeAfter initializing a run and an episode, you can make inference and feedback API calls like you normally would.
By providing the special episode_id parameter generated by the workflow_evaluation_run_episode method , the TensorZero Gateway will associate the inference and feedback with the evaluation run, handle variant pinning, and more.